
--freemarker template

delete from mobility_stay 
where id in (select M.id from mobility_stay_neu M);

insert into mobility_stay(name,
person_id,
       id,
       academic_period_start_id,
       academic_period_end_id,
       is_active,
       ects_credits,
       country_id,
       country_name_deu,
       duration_months,
       stay_type,
       stay_type_id,
       framework,
       framework_id,
       is_self_funded,
       scholarship_deu,
       is_guest,
       is_academic_services,
       direction_id,
       stay_nr)
       select name,
       person_id,
       id,
       academic_period_start_id,
       academic_period_end_id,
       is_active,
       ects_credits,
       country_id,
       country_name_deu,
       duration_months,
       stay_type,
       stay_type_id,
       framework,
       framework_id,
       is_self_funded,
       scholarship_deu,
       is_guest,
       is_academic_services,
       direction_id,
       stay_nr
       from mobility_stay_neu;
--WS   z.B. 20125 nach 20122    
update mobility_stay set academic_period_start_id=academic_period_start_id-3
where substring('' || academic_period_start_id from 5 for 1)='5';
--SoSe z.B. 20140 nach 20141
update mobility_stay set academic_period_start_id=academic_period_start_id+1
where substring('' || academic_period_start_id from 5 for 1)='0';

update mobility_stay set academic_period_end_id=academic_period_end_id-3
where substring('' || academic_period_end_id from 5 for 1)='5';
--SoSe z.B. 20140 nach 20141
update mobility_stay set academic_period_end_id=academic_period_end_id+1
where substring('' || academic_period_end_id from 5 for 1)='0';
--Country
update mobility_stay set st_abr_country_astat =(select min(val(C.astat))
from cifx C
where mobility_stay.country_name_deu=C.druck
and C.key=12
)
where id in (select M.id from mobility_stay_neu M);
--Ausnahmefälle Staaten 
update mobility_stay set st_abr_country_astat=479
where country_name_deu='China (VR)'
and st_abr_country_astat is null 
;
update mobility_stay set st_abr_country_astat=434
where country_name_deu='Korea, Dem. Volksrep.'
and st_abr_country_astat is null;
update mobility_stay set st_abr_country_astat=368
where country_name_deu='USA'
and st_abr_country_astat is null
;
update mobility_stay set st_abr_country_astat=245
where country_name_deu='Kongo, Dem. Republik'
and st_abr_country_astat is null
;
update mobility_stay set st_abr_country_astat=160
where country_name_deu='Russland'
and st_abr_country_astat is null;

update mobility_stay set st_abr_country_astat=431
where country_name_deu='Sri Lanka'
and st_abr_country_astat is null;

update mobility_stay set st_abr_country_astat=449
where country_name_deu='Laos'
and st_abr_country_astat is null;

update mobility_stay set st_abr_country_astat=164
where country_name_deu='Tschechien'
and st_abr_country_astat is null;

--Prüfselect:
-- SELECT country_id,country_name_deu,count(*)
-- FROM mobility_stay 
-- where country_name_deu is not null
-- and st_abr_country_astat is null
-- group by 1,2
 -- ;

--st_abr_month 
update mobility_stay set st_abr_month=duration_months;
--st_abr_type
--stay.stay_type_id=1 -01 = Studium
--stay.stay_type_id=2 -02 = Praktikum
--stay.stay_type_id ungleich 1 oder 2 -03 
update mobility_stay set st_abr_type='0' || stay_type_id
where stay_type_id in ('1','2')
and id in (select M.id from mobility_stay_neu M);
update mobility_stay set st_abr_type='01' 
where stay_type_id ='1, 2'
and id in (select M.id from mobility_stay_neu M);


update mobility_stay set st_abr_type='03'
where (stay_type_id not in ('1','2','1, 2') or stay_type_id is null)
and id in (select M.id from mobility_stay_neu M);

--st_abr_program
update mobility_stay set st_abr_program='01'
where framework ilike '%erasmus%'
and id in (select M.id from mobility_stay_neu M);
update mobility_stay set st_abr_program='02'
where st_abr_program is null
and id in (select M.id from mobility_stay_neu M);

update mobility_stay set st_abr_country_astat='0' || trim(st_abr_country_astat)
where length(trim(st_abr_country_astat))<3;
update mobility_stay set st_abr_country_astat='0' || trim(st_abr_country_astat)
where length(trim(st_abr_country_astat))<3;

